API Reference
Storefront API (Public)
Collections

Collections

Visibility

  • GET /collectionsPublic
  • GET /collections/{slug}Public

Authentication

x-api-key: sk_eco_...

GET /collections

Returns paginated active collections.

Query Parameters

ParamTypeDescription
limitnumberPage size
offsetnumberPagination offset

GET /collections/{slug}

Returns one collection with paginated products.

Query Parameters

ParamTypeDescription
limitnumberProduct page size
offsetnumberProduct page offset

Response Shape

FieldType
collectionCollectionResponse
productsProductResponse[]
paginationPaginationMeta

cURL

curl -X GET "https://api.ecommaps.com/api/v1/storefront/collections" \
  -H "x-api-key: sk_eco_YOUR_KEY"
 
curl -X GET "https://api.ecommaps.com/api/v1/storefront/collections/menswear" \
  -H "x-api-key: sk_eco_YOUR_KEY"

SDK Example

const collections = await ecommapsClient.collections.list();
const collection = await ecommapsClient.collections.retrieve("menswear", 20, 0);

Error Matrix

StatusScenario
401Missing/invalid API key
404Collection slug not found
500Datastore/query failure